Subject: dieing umbrella plant

From: Kevin Parks <[email-masked]>
Date: 7 Oct 1995 11:32:32 GMT

I just got a umbrella tree.  It need repotting so I did.  I water 
it and spray it often.  It doesn't have any bugs, but its leaves 
have brown spots and then they fall off.  Any suggestion please 
E-mail me.  Thanks  Kevin